{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-22.05";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachSystem [ flake-utils.lib.system.x86_64-linux ] (system:
      let site = import ./default.nix { pkgs = nixpkgs.legacyPackages.${system}; };  
      in {
        packages.default = site.site;
        hydraJobs.site = site.site;
      });
}
